%define versioncommit dc8c2d324cda2e80a6e07ee1998fca0839d4a721

Name:           tipcutils
Version:        2.2.0
Release:        4
License:        BSD and GPLv2
URL:            https://sourceforge.net/projects/tipc/ 
Summary:        Utils package required to configure TIPC
Source0:        https://sourceforge.net/code-snapshots/git/t/ti/tipc/tipcutils.git/tipc-%{name}-%{versioncommit}.zip

BuildRequires:  gcc autoconf automake libtool libdaemon-devel

%description
A fundamental concept in TIPC is that of Service Addressing
which makes it possible for a programmer to chose his own address,
bind it to a server socket and let client programs use only that address for sending messages.

%package_help

%prep
%autosetup -n tipc-%{name}-%{versioncommit} -p1
head -n34 tipclog/tipc.h | tail -n21 | sed -e 's/ \* //g' -e 's/\*//g' > LICENSE

%build
./bootstrap
%configure
make

%install
%make_install

%files
%defattr(-,root,root)
%license LICENSE
%{_sbindir}/tipclog
%{_bindir}/tipc-pipe

%files          help
%defattr(-,root,root)
%doc README
%{_mandir}/man1/*.1.gz

%check
make check

%changelog
* Thu Sep 10 2020 lunankun <lunankun@huawei.com> - 2.2.0-4
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:fix source0 url

* Tue Dec 31 2019 openEuler Buildteam <buildteam@openeuler.org> - 2.2.0-3
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:modify the spec

* Sat Oct 19 2019 openEuler Buildteam <buildteam@openeuler.org> - 2.2.0-2
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:change the directory of the license file

* Fri Sep 06 2019 openEuler Buildteam <buildteam@openeuler.org> - 2.2.0-1
- Package init
